# Architecture specific settings for 64-bit Linux systems.

# This works fine under Ubuntu 10.04 (Lucid) 64-bit.
# Notes: 1) Ubuntu does not set $ARCH. I added this to my .bashrc:
#             export ARCH=$(dpkg --print-architecture)
#        2) The liblapack-dev package must be installed.
# ~Mike

CXX      := g++
CXXFLAGS := -g -I /usr/include/libxml2 -I. -I$(SRCDIR)/Base -I$(SRCDIR)/ODB -I$(SRCDIR)/Utility -DCHECK_ASSERTS

#  -D_GLIBCXX_DEBUG    # use this flag to bounds check STL containers

FC       := gfortran
FCFLAGS  := -g -c -DCHECK_ASSERTS -Wall -Wextra -Wconversion

CC       := gcc
CCFLAGS  := -g -DCHECK_ASSERTS

LD       := g++
LDFLAGS  := 
LDLIBS   := -lgfortran -llapack -lblas -lxml2

# xlf (IBM/AIX), ifort (Intel/Linux) (and others) always produce a lower-case module name
#
MODNAME  = $(shell echo $(*F) | tr "[:upper:]" "[:lower:]")
MODEXT   := mod

XARGSFLAGS := -r

