#
# Makefile to build on the Raspberry Pi.
# Note: you will probably have to install the following packages:
# 
#  libboost-dev
#  libboost-test-dev
#  libxml2
#  libxml2-dev
#  gfortran
#  python-argparse
#  liblapack-dev
#

BOOST_VERSION := 1.42.0

CXX      := g++
CXXFLAGS := -g -mfloat-abi=softfp -mfpu=vfp -DCHECK_ASSERTS -Wall -Wextra \
            -I/usr/include/libxml2/ -I/usr/include/boost/

#  -D_GLIBCXX_DEBUG    # use this flag to bounds check STL containers

#CXXFLAGS := -g -I. -I$(SRCDIR)/Base -I$(SRCDIR)/ODB -I$(SRCDIR)/Utility -DCHECK_ASSERTS -D_GLIBCXX_DEBUG

FC       := gfortran
FCFLAGS  := -g -mfloat-abi=softfp -mfpu=vfp -c -DCHECK_ASSERTS -Wall -Wextra -Wconversion

CC       := gcc
CCFLAGS  := -g -DCHECK_ASSERTS -Wall -Wextra

LD       := g++
LDFLAGS  := -pg -Wl
LDLIBS   := -lgfortran -llapack -lblas -lxml2 \
            -lm -lc -lboost_unit_test_framework-mt

# xlf (IBM/AIX), ifort (Intel/Linux) (and others) always produce a lower-case module name
#
MODNAME  = $(shell echo $(*F) | tr "[:upper:]" "[:lower:]")
MODEXT   := mod

XARGSFLAGS := -r

