include ../build/$(ARCH).mk

SRCS := $(wildcard $(addsuffix /*.cc,  $(SRCDIRS))) \
        $(wildcard $(addsuffix /*.c,   $(SRCDIRS))) \
        $(wildcard $(addsuffix /*.f90, $(SRCDIRS))) \
        $(wildcard $(addsuffix /*.F90, $(SRCDIRS)))

OBJS := $(addsuffix .o, $(basename $(SRCS)))

INCLUDES += $(addprefix -I, $(SRCDIRS)) 

.PHONY: clean depend

clean:
	-rm *.x *.a *.out loadmap core dependencies.mk
	-find . -name \*.o  | xargs $(XARGSFLAGS) rm
	-find . -name \*.$(MODEXT) | xargs $(XARGSFLAGS) rm

%.o: %.f90
	$(FC) $(FCFLAGS) $(INCLUDES) -c -o $@ $<
	(test -f $(MODNAME).$(MODEXT) && mv $(MODNAME).$(MODEXT) $(dir $@)) || echo

%.o: %.F90
	$(FC) $(FCFLAGS) $(INCLUDES) -c -o $@ $<
	(test -f $(MODNAME).$(MODEXT) && mv $(MODNAME).$(MODEXT) $(dir $@)) || echo

%.o: %.cc
	$(CXX) $(CXXFLAGS) $(INCLUDES) -I. -c -o $@ $<

%.o: %.c
	$(CC)  $(CCFLAGS) $(INCLUDES) -I. -c -o $@ $<

depend dependencies.mk: $(SRCS) $(MAINS) 
	../build/makedepf90.py $(INCLUDES) $(SRCS)  $(MAINS)

# Dependencies (don't include if commandline goal is clean)
ifneq ($(MAKECMDGOALS),clean)
  -include dependencies.mk
endif
