IFSCYCLE   := 38r1_OOPS
EXPT       := fo9x

XML2CONFIG := /usr/local/lib/xml2/bin/xml2-config

IFSSRCROOT := /rd_source/$(IFSCYCLE)
IFSMODROOT := /home/rd/rdx/module/xlf90/$(IFSCYCLE)
IFSLIBROOT := /home/rd/rdx/lib/$(IFSCYCLE)
IFSCLIENT  := $(wildcard /fws?/sb/work/rd/*/$(EXPT)/cl*)
EXPTLIB    := $(wildcard /fws?/lb/work/rd/*/$(EXPT)/lib)

CXX      := xlC_r
CXXFLAGS := -qarch=pwr6 -g -O0 -qstrict -DCHECK_ASSERTS -I/usr/local/apps/boost/current/include $(shell $(XML2CONFIG) --cflags) -DRS6K

CC       := xlc_r
CCFLAGS  := -g -DCHECK_ASSERTS $(shell $(XML2CONFIG) --cflags) -DRS6K

FC := xlf90_r
FCFLAGS  :=  -qxflag=dealloc_cfptr -qextname -qdpc=e \
             -qarch=pwr6 -g -O0 -WF,-DRS6K -WF,-DCHECK_ASSERTS
# -O3 -qstrict
# Add -qinitauto=7FF7FFFF -C to check for use of noninit

FCPATH   := $(subst bin/$(FC),lib,$(shell which $(FC)))

LD       := mpCC_r
LDFLAGS  := -brtl -b64 -bbigtoc -bmaxstack:0x8000000000 -bloadmap:loadmap -bmap:loadmap

LIBTEST  := -L/usr/local/apps/boost/current/lib -lboost_unit_test_framework

LDLIBS   := $(shell $(XML2CONFIG) --libs) $(ECLIB) \
            -L/usr/local/lib/lapack -llapack64_ -lblas64_ -lessl \
            -L$(FCPATH) -lxlf90 -lm -lc \
            -L/usr/lib/mass -lmass -lmassvp6 \
            -L/usr/local/apps/toolworks/totalview.8.8.0-2/rs6000/lib

# xlf (IBM/AIX), ifort (Intel/Linux) (and others) always produce a lower-case module name
#
MODNAME  = $(shell echo $(*F) | tr "[:upper:]" "[:lower:]")
MODEXT   := mod

XARGSFLAGS :=

