BOOST_VERSION := current

CXX      := g++
CXXFLAGS := -g -DCHECK_ASSERTS -Wall -Wextra \
            -I/usr/local/apps/boost/$(BOOST_VERSION)/include \
            -I/home/rd/rdx/OOPS/include

#  -D_GLIBCXX_DEBUG    # use this flag to bounds check STL containers

FC       := gfortran
FCFLAGS  := -g -c -DCHECK_ASSERTS -Wall -Wextra -Wconversion

CC       := gcc
CCFLAGS  := -g -DCHECK_ASSERTS -Wall -Wextra

LIBTEST  := -L/usr/local/apps/boost/$(BOOST_VERSION)/lib -lboost_unit_test_framework-mt

UNAME_I := $(shell uname -i)

ifeq ($(UNAME_I),i386)
  LIBBITS := linux86
  PGSSE2 := -lpgsse2
else
  LIBBITS := linux86-64
  PGSSE2 :=
endif

LIBLAPACK := -L$(PGI)/$(LIBBITS)/lib -llapack -lblas -lpgftnrtl -lpgc

LD       := g++
LDFLAGS  := -pg -Wl,-rpath /usr/local/apps/boost/$(BOOST_VERSION)/lib
LDLIBS   := -lgfortran -lxml2 -lrt $(PGSSE2)

# xlf (IBM/AIX), ifort (Intel/Linux) (and others) always produce a lower-case module name
#
MODNAME  = $(shell echo $(*F) | tr "[:upper:]" "[:lower:]")
MODEXT   := mod

XARGSFLAGS := -r

