/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "oops/base/ModelSpaceCovariance.h"
#include "oops/base/StaticCovariance.h"

#include "lorenz95/L95Traits.h"

typedef lorenz95::L95Traits          L95;
typedef oops::StaticCovariance<L95>  COV;

template class oops::CovarianceFactory<L95>;

static oops::CovarMaker<L95, COV> makerCOV_("L95Error");

namespace lorenz95 {
  void loadCovarFactory() {}
}
