/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef L95_SRC_L95TRAITS_H_
#define L95_SRC_L95TRAITS_H_

#include "lorenz95/ErrorCovarianceL95.h"
#include "lorenz95/GomL95.h"
#include "lorenz95/IncrementL95.h"
#include "lorenz95/LocsL95.h"
#include "lorenz95/ModelError.h"
#include "lorenz95/NoObsTraj.h"
#include "lorenz95/ObsBias.h"
#include "lorenz95/ObservationL95.h"
#include "lorenz95/ObsVec1D.h"
#include "lorenz95/StateL95.h"
#include "lorenz95/TrajectoryL95.h"
#include "lorenz95/LocalizationMatrixL95.h"

namespace lorenz95 {

struct L95Traits {
//  const int x = 42;
//  static const char* name() { return "L95"; }
  typedef lorenz95::ModelL95            ModelData;
  typedef lorenz95::StateL95            StateBase;
  typedef lorenz95::IncrementL95        IncrementBase;

  typedef lorenz95::ErrorCovarianceL95  ModelStateError;
  typedef lorenz95::TrajectoryL95       ModelTraj;
  typedef lorenz95::ModelError          ModelAuxCtrl;
  typedef lorenz95::ModelError          ModelAuxIncr;

  typedef lorenz95::ObservationL95      ObsOperator;
  typedef lorenz95::NoObsTraj           ObsTraj;
  typedef lorenz95::ObsBias             ObsAuxCtrl;
  typedef lorenz95::ObsBias             ObsAuxIncr;
  typedef lorenz95::ObsVec1D            ObsVector;

  typedef lorenz95::GomL95              LocalModelValues;
  typedef lorenz95::LocsL95             Locations;

  typedef lorenz95::LocalizationMatrixL95  LocalizationMatrix;

};

}  // namespace lorenz95

#endif  // L95_SRC_L95TRAITS_H_
