/*
 * Copyright 2011 ECMWF
 *
 * This software was developed at ECMWF for evaluation
 * and may be used for academic and research purposes only.
 * The software is provided as is without any warranty.
 *
 * This software can be used, copied and modified but not
 * redistributed or sold. This notice must be reproduced
 * on each copy made.
 */

#ifndef L95_SRC_LOCMATRIXL95_H_
#define L95_SRC_LOCMATRIXL95_H_

#include <boost/noncopyable.hpp>
#include <boost/scoped_ptr.hpp>

#include "oops/base/Geometry.h"
#include "oops/base/Variables.h"
#include "util/Config.h"
#include "util/DateTime.h"

#include "L95Fortran.h"

// Forward declarations
namespace lorenz95 {
class IncrementL95;

/// Localization matrix for Lorenz 95 model.

// -----------------------------------------------------------------------------
class LocalizationMatrixL95: private boost::noncopyable {
public:
	LocalizationMatrixL95(const oops::Geometry & resol, const util::Config &);
	~LocalizationMatrixL95();
	void multiply (IncrementL95 &) const;

private:
	F90locmat * ftnConfig_;
};
// -----------------------------------------------------------------------------
}// namespace lorenz95

#endif  // L95_SRC_LOCMATRIXL95_H_
