/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef L95_SRC_LOCSL95_H_
#define L95_SRC_LOCSL95_H_

#include <vector>

#include "util/asser1.h"

namespace lorenz95 {

/// LocsL95 class to handle locations for L95 model.

class LocsL95 {
 public:
  explicit LocsL95(std::vector<double> ov): locs_(ov) {}
  ~LocsL95() {}

  int nobs() const {return locs_.size();}

  const double * toFortran() const {
    const double * pl = &locs_[0];
    return pl;
  }

 private:
  std::vector<double> locs_;
};

}  // namespace lorenz95

#endif  // L95_SRC_LOCSL95_H_
