/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef L95_SRC_MODELERROR_H_
#define L95_SRC_MODELERROR_H_

#include "util/Config.h"

namespace lorenz95 {

/// Model error for Lorenz 95 model.
/*!
 * This class is used to manipulate parameters of the model that
 * can be estimated in the assimilation. This includes model bias for
 * example but could be used for other parameters to be estimated.
 * This is sometimes referred to as augmented state or augmented
 * control variable in the litterature.
 * The augmented state is understood here as an augmented 4D state.
 *
 * For now model error does nothing.
 */

// -----------------------------------------------------------------------------

class ModelError {
 public:
  ModelError() {}
  explicit ModelError(const util::Config &) {}
  ModelError(const ModelError &, const ModelError &, const util::Config &) {}
  ~ModelError() {}
};

// -----------------------------------------------------------------------------

}  // namespace l95

#endif  // L95_SRC_MODELERROR_H_
