/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef L95_MAINS_RUNL95_H_
#define L95_MAINS_RUNL95_H_

#include "oops/runs/Run.h"

extern "C" {
  void set_err_trap_();
}

namespace lorenz95 {

/*!
 *  RunL95 encapsulates one Lorenz 95 OOPS run.
 */

template<typename TASK> class RunL95 : public oops::Run<TASK> {
 public:
  RunL95() {set_err_trap_();}
  ~RunL95() {}
};

}  // namespace lorenz95
#endif  // L95_MAINS_RUNL95_H_
