/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "logger/Logger.h"
#include "mains/RunQg.h"
#include "model/InstantiateFactoryCovar.h"
#include "model/instantiateQgObsFactory.h"
#include "model/QgTraits.h"
#include "oops/runs/Variational.h"

int main(int argc, char ** argv) {
  qg::instantiateQgObsFactory();
  qg::loadCovarFactory();
  qg::RunQg< oops::Variational<qg::QgTraits> > run;
  run.execute(argc, argv);
  LOG(Info) << "End of main";
  return 0;
};

