/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef QG_MODEL_LOCQG_H_
#define QG_MODEL_LOCQG_H_

#include "model/QgFortran.h"

namespace qg {

/// LocQG class to handle locations for QG model.

class LocQG {
 public:
  explicit LocQG(F90locs * ploc) {f90loc_ = ploc;}
  ~LocQG() {qg_loc_delete_f90(&f90loc_);}

  int nobs() const {
    int nobs;
    qg_loc_nobs_f90(&f90loc_, nobs);
    return nobs;
  }

  const F90locs * toFortran() const {return f90loc_;}
  F90locs * toFortran() {return f90loc_;}
 private:
  F90locs * f90loc_;
};

}  // namespace qg

#endif  // QG_MODEL_LOCQG_H_
