/*
 * Copyright 2011 ECMWF
 *
 * This software was developed at ECMWF for evaluation
 * and may be used for academic and research purposes only.
 * The software is provided as is without any warranty.
 *
 * This software can be used, copied and modified but not
 * redistributed or sold. This notice must be reproduced
 * on each copy made.
 */

#include "model/LocalizationMatrixQG.h"

#include "logger/Logger.h"
#include "util/Config.h"
#include "util/asser1.h"

#include "logger/Logger.h"
#include "model/QgFields.h"
#include "model/QgFortran.h"
#include "model/QgGeometry.h"
#include "model/QgIncrement.h"
#include "model/QgModel.h"
#include "model/QgState.h"
#include "oops/base/Geometry.h"
#include "oops/base/Variables.h"
#include "util/Config.h"

// -----------------------------------------------------------------------------
namespace qg {
// -----------------------------------------------------------------------------
LocalizationMatrixQG::LocalizationMatrixQG(const oops::Geometry & resol, const util::Config & config) {
	const util::Config * configc = &config;
	QgGeometry geom(resol);
	const F90geom * fgeo = geom.toFortran();
	qg_localization_setup_f90(&ftnConfig_, &configc, &fgeo);
}
// -----------------------------------------------------------------------------
LocalizationMatrixQG::~LocalizationMatrixQG() {
	qg_localization_delete_f90(&ftnConfig_);
}

// -----------------------------------------------------------------------------
void LocalizationMatrixQG::multiply(QgIncrement & dx) const {
	F90flds * dxf = dx.getFields().toFortran();
	qg_localization_mult_f90(&ftnConfig_, &dxf);
}

} // namespace qg
