/*
 * Copyright 2011 ECMWF
 *
 * This software was developed at ECMWF for evaluation
 * and may be used for academic and research purposes only.
 * The software is provided as is without any warranty.
 *
 * This software can be used, copied and modified but not
 * redistributed or sold. This notice must be reproduced
 * on each copy made.
 */

#ifndef QG_SRC_LOCALIZATIONMATRIXQG_H_
#define QG_SRC_LOCALIZATIONMATRIXQG_H_

#include <boost/noncopyable.hpp>
#include <boost/scoped_ptr.hpp>

#include "oops/base/Geometry.h"
#include "oops/base/Variables.h"
#include "util/Config.h"
#include "util/DateTime.h"

#include "model/QgFortran.h"

// Forward declarations
namespace qg {
class QgIncrement;

/// Localization matrix for QG model.

// -----------------------------------------------------------------------------
class LocalizationMatrixQG: private boost::noncopyable {
public:
	LocalizationMatrixQG(const oops::Geometry & resol, const util::Config &);
	~LocalizationMatrixQG();
	void multiply (QgIncrement &) const;

private:
	F90bmat * ftnConfig_;
};
// -----------------------------------------------------------------------------
}// namespace qg

#endif  // QG_SRC_LOCALIZATIONMATRIXQG_H_
