/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef QG_MODEL_OBSHELPQG_H_
#define QG_MODEL_OBSHELPQG_H_

#include <map>
#include <string>

#include "model/QgFortran.h"

// Forward declarations
namespace util {
  class Config;
}

namespace qg {
  class ObsVecQG;

/// Observation Data Handler for QG Model

class ObsHelpQG {
 public:
  static ObsHelpQG * getHelper(const util::Config &);
  static void clearHelper(ObsHelpQG *);
  ObsHelpQG(const ObsHelpQG &);
  ~ObsHelpQG();
  ObsVecQG * getdb(const std::string &, const std::string &) const;
  void putdb(const std::string &, const std::string &, const ObsVecQG &);

  F90help * toFortran() {return f90help_;}
  const F90help * toFortran() const {return f90help_;}

 private:
  ObsHelpQG(const std::string &, const util::Config &);
  ObsHelpQG & operator= (const ObsHelpQG &);
  std::string ref_;
  F90help * f90help_;

  static std::map < std::string, int > theObsFileCount_;
};

}  // namespace qg

#endif  // QG_MODEL_OBSHELPQG_H_
