/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef QG_MODEL_OBSTRAJQG_H_
#define QG_MODEL_OBSTRAJQG_H_

#include "model/QgFortran.h"

namespace qg {

// -----------------------------------------------------------------------------
/// ObsTrajQG class to handle trajectory for QG obs operator

class ObsTrajQG {
 public:
  ObsTrajQG() {qg_gom_create_f90(&f90tra_);}
  ~ObsTrajQG() {qg_gom_delete_f90(&f90tra_); }

  const F90goms * toFortran() const {return f90tra_;}
  F90goms * toFortran() {return f90tra_;}
 private:
  F90goms * f90tra_;
};
// -----------------------------------------------------------------------------

}  // namespace qg

#endif  // QG_MODEL_OBSTRAJQG_H_
