/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "logger/Logger.h"
#include "model/QgGeometry.h"
#include "model/QgFortran.h"
#include "oops/base/Geometry.h"
#include "util/Config.h"

// -----------------------------------------------------------------------------
namespace qg {
// -----------------------------------------------------------------------------
QgGeometry::QgGeometry(const oops::Geometry & geom) {
  const util::Config * configc = &geom.config();
  qg_geo_setup_f90(&f90geom_, &configc);
}
// -----------------------------------------------------------------------------
QgGeometry::QgGeometry(const QgGeometry & other) {
  const F90geom * geo = other.f90geom_;
  qg_geo_clone_f90(&geo, &f90geom_);
}
// -----------------------------------------------------------------------------
QgGeometry::~QgGeometry() {
  qg_geo_delete_f90(&f90geom_);
}
// -----------------------------------------------------------------------------
}  // namespace qg
