/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef QG_MODEL_QGGEOMETRY_H_
#define QG_MODEL_QGGEOMETRY_H_

#include <string>

#include "model/QgFortran.h"

namespace oops {
  class Geometry;
}

namespace util {
  class Config;
}

namespace qg {

// -----------------------------------------------------------------------------
/// QgGeometry handles geometry for QG model.

class QgGeometry {
 public:
  explicit QgGeometry(const oops::Geometry &);
  QgGeometry(const QgGeometry &);
  ~QgGeometry();

  const F90geom * toFortran() const {return f90geom_;}
  F90geom * toFortran() {return f90geom_;}

 private:
  F90geom * f90geom_;
};
// -----------------------------------------------------------------------------

}  // namespace qg

#endif  // QG_MODEL_QGGEOMETRY_H_
