/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef QG_MODEL_QGTRAITS_H_
#define QG_MODEL_QGTRAITS_H_

#include "model/GomQG.h"
#include "model/LocQG.h"
#include "model/ObsTrajQG.h"
#include "model/ObsVecQG.h"
#include "model/QgErrorCovariance.h"
#include "model/QgIncrement.h"
#include "model/QgModel.h"
#include "model/QgObservation.h"
#include "model/QgState.h"
#include "model/QgTrajectory.h"
#include "oops/base/NullModelAux.h"
#include "oops/base/NullObsAux.h"
#include "model/LocalizationMatrixQG.h"

namespace qg {

struct QgTraits {
  typedef qg::QgModel             ModelData;
  typedef qg::QgState             StateBase;
  typedef qg::QgIncrement         IncrementBase;

  typedef qg::QgErrorCovariance   ModelStateError;
  typedef qg::QgTrajectory        ModelTraj;
  typedef oops::NullModelAux      ModelAuxCtrl;
  typedef oops::NullModelAux      ModelAuxIncr;

  typedef qg::QgObservation       ObsOperator;
  typedef qg::ObsTrajQG           ObsTraj;
  typedef oops::NullObsAux        ObsAuxCtrl;
  typedef oops::NullObsAux        ObsAuxIncr;
  typedef qg::ObsVecQG            ObsVector;

  typedef qg::GomQG               LocalModelValues;
  typedef qg::LocQG               Locations;

  typedef qg::LocalizationMatrixQG  LocalizationMatrix;

};

}  // namespace qg

#endif  // QG_MODEL_QGTRAITS_H_
