/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef QG_MODEL_VARQG_H_
#define QG_MODEL_VARQG_H_

#include "model/QgFortran.h"
#include "oops/base/Variables.h"
#include "util/asser1.h"

namespace qg {

// -----------------------------------------------------------------------------
/// VarQG class to handle variables for QG model.

class VarQG {
 public:
  explicit VarQG(const oops::Variables & vars) {
    const util::Config * conf = &vars.config();
    qg_var_create_f90(&f90var_, &conf);
  }

  ~VarQG() {qg_var_delete_f90(&f90var_);}

  VarQG(const VarQG & other) {qg_var_clone_f90(&other.f90var_, &f90var_);}

  const F90vars * toFortran() const {return f90var_;}
  F90vars * toFortran() {return f90var_;}
 private:
  F90vars * f90var_;
};

// -----------------------------------------------------------------------------

}  // namespace qg

#endif  // QG_MODEL_VARQG_H_
