!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Multiply streamfunction by inverse of covariance

subroutine c_qg_b_inv_mult(c_config, c_in, c_out) bind(c,name='qg_b_inv_mult_f90')

use iso_c_binding
use qg_3d_covar_configs
use qg_fields
use kinds

implicit none
type(c_ptr), intent(in)       :: c_config  !< covar config structure
type(c_ptr), intent(in)       :: c_in      !< Streamfunction: psi
type(c_ptr), intent(inout)    :: c_out     !< Streamfunction: psi

type(qg_3d_covar_config), pointer :: config
type(qg_field), pointer :: xin
type(qg_field), pointer :: xout

real(kind=kind_real), allocatable :: xctl(:,:,:) ! Control vector

! ------------------------------------------------------------------------------

call c_f_pointer(c_config, config)
call c_f_pointer(c_in    , xin)
call c_f_pointer(c_out   , xout)

allocate(xctl(config%nx, config%ny, 2))
xctl(:,:,:)=0.0_kind_real

call qg_3d_covar_sqrt_inv_mult(config%nx,config%ny,xctl,xin,config)
call zeros(xout)
call qg_3d_covar_sqrt_inv_mult_ad(config%nx,config%ny,xctl,xout,config)

deallocate(xctl)

end subroutine c_qg_b_inv_mult
