!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Generate randomized increment

subroutine c_qg_b_randomize(c_config, c_out) bind(c,name='qg_b_randomize_f90')

use iso_c_binding
use qg_3d_covar_configs
use qg_fields
use random_vectors_gauss_mod
use kinds

implicit none
type(c_ptr), intent(in)       :: c_config  !< covar config structure
type(c_ptr), intent(inout)    :: c_out     !< Randomized increment

type(qg_3d_covar_config), pointer :: config
type(qg_field), pointer :: xout

real(kind=kind_real), allocatable :: xctl(:,:,:) ! Control vector

! ------------------------------------------------------------------------------

call c_f_pointer(c_config, config)
call c_f_pointer(c_out   , xout)

allocate(xctl(config%nx, config%ny, 2))

call random_vector_gauss(xctl(:,:,:))
call zeros(xout)
call qg_3d_covar_sqrt_mult(config%nx,config%ny,xout,xctl,config)

deallocate(xctl)

end subroutine c_qg_b_randomize
