!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Setup for the QG model's background error covariance matrix

subroutine c_qg_b_setup(c_config, c_model, c_geom) &
          & bind (c,name='qg_b_setup_f90')

use iso_c_binding
use qg_3d_covar_configs
use qg_geom_mod

implicit none
type(c_ptr), intent(inout) :: c_config !< The background covariance structure
type(c_ptr), intent(in)    :: c_model  !< The configuration
type(c_ptr), intent(in)    :: c_geom   !< Geometry

type(qg_3d_covar_config), pointer :: config
type(qg_geom),  pointer :: geom

! ------------------------------------------------------------------------------

call c_f_pointer(c_geom, geom)
allocate(config)

call qg_3d_covar_setup(c_model, geom, config)

c_config = c_loc(config)

end subroutine c_qg_b_setup
