!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Prepare for an integration of the QG model - Adjoint.

subroutine c_qg_prepare_integration_ad(c_config, c_incr) &
           bind(c,name='qg_prepare_integration_ad_f90')

use iso_c_binding
use qg_fields
use qg_configs
use kinds

implicit none
type(c_ptr), intent(in)    :: c_config  !< Configuration structure
type(c_ptr), intent(inout) :: c_incr    !< Model fields

type(qg_config), pointer :: config
type(qg_field), pointer  :: flds

! ------------------------------------------------------------------------------

call c_f_pointer(c_config,config)
call c_f_pointer(c_incr,flds)

! -- calculate potential vorticity and wind components

call meridional_wind_ad(flds%v,flds%x,flds%nx,flds%ny, config%deltax)
call zonal_wind_ad(flds%u,flds%x,flds%nx,flds%ny,config%deltay)
call calc_pv_ad(flds%q,flds%x,flds%nx,flds%ny, &
              & config%f1,config%f2,config%deltax,config%deltay)
flds%q=0.0_kind_real;
flds%u=0.0_kind_real;
flds%v=0.0_kind_real;

! ------------------------------------------------------------------------------
return
end subroutine c_qg_prepare_integration_ad
