!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Save trajectory and perform a timestep of the QG model

subroutine c_qg_prop_traj(c_config, c_state, c_traj) bind(c,name='qg_prop_traj_f90')

use iso_c_binding
use qg_fields
use qg_configs
use qg_trajectories

implicit none
type(c_ptr), intent(in)    :: c_config  !< Config structure
type(c_ptr), intent(inout) :: c_state   !< Model fields
type(c_ptr), intent(inout) :: c_traj    !< Trajectory structure

type(qg_config),     pointer :: config
type(qg_field),      pointer :: flds
type(qg_trajectory), pointer :: traj

! ------------------------------------------------------------------------------

call c_f_pointer(c_config,config)
call c_f_pointer(c_state,flds)

allocate(traj)
call set_traj(traj,flds%nx,flds%ny, &
            & flds%x,flds%x_north,flds%x_south,flds%q_north,flds%q_south)
c_traj = c_loc(traj)

! ------------------------------------------------------------------------------
return
end subroutine c_qg_prop_traj
