!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Perform a timestep of the QG model

subroutine c_qg_propagate(c_config, c_state) bind(c,name='qg_propagate_f90')

use iso_c_binding
use qg_fields
use qg_configs

implicit none
type(c_ptr), intent(in)    :: c_config  !< Config structure
type(c_ptr), intent(inout) :: c_state   !< Model fields

type(qg_config), pointer :: config
type(qg_field),  pointer :: flds

! ------------------------------------------------------------------------------

call c_f_pointer(c_config,config)
call c_f_pointer(c_state,flds)

call propagate(flds, config)

! ------------------------------------------------------------------------------
return
end subroutine c_qg_propagate
