!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Wipe out trajectory of the QG model

subroutine c_qg_wipe_traj(c_traj) bind(c,name='qg_wipe_traj_f90')

use iso_c_binding
use qg_trajectories

implicit none
type(c_ptr), intent(inout) :: c_traj  !< Trajectory structure
type(qg_trajectory), pointer :: traj

! ------------------------------------------------------------------------------

if (c_associated(c_traj)) then
  call c_f_pointer(c_traj,traj)
  if (associated(traj)) then
    call delete_traj(traj)
    deallocate(traj)
  endif
  c_traj = c_null_ptr
endif

! ------------------------------------------------------------------------------
return
end subroutine c_qg_wipe_traj
