!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Calculate potential vorticity - Adjoint

subroutine calc_pv_ad (pv,x,nx,ny,f1,f2,deltax,deltay)

!--- calculate potential vorticity from streamfunction

use kinds

implicit none
integer, intent(in) :: nx           !< Zonal grid dimension
integer, intent(in) :: ny           !< Meridional grid dimension
real(kind=kind_real), intent(inout) :: pv(nx,ny,2)  !< PV adjoint variable
real(kind=kind_real), intent(inout)  :: x(nx,ny,2)  !< Streamfunction adjoint variable
real(kind=kind_real), intent(in) :: f1              !< Coefficient in PV operator
real(kind=kind_real), intent(in) :: f2              !< Coefficient in PV operator
real(kind=kind_real), intent(in) :: deltax          !< Zonal grid spacing (non-dimensional)
real(kind=kind_real), intent(in) :: deltay          !< Meridional grid spacing (non-dim)

!--- add the orography/heating term

  !<-- TL of this is identity. -->

!--- add the beta term

  !<-- TL of this is identity. -->

!--- add the contribution from the boundaries

  !<-- TL of this is identity. -->

!--- apply the linear operator

call pv_operator_ad(x,pv,nx,ny,f1,f2,deltax,deltay)

end subroutine calc_pv_ad
