/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef QG_MODEL_INSTANTIATEQGOBSFACTORY_H_
#define QG_MODEL_INSTANTIATEQGOBSFACTORY_H_

#include "model/ObsStreamQG.h"
#include "model/ObsWindQG.h"
#include "model/ObsWSpeedQG.h"
#include "model/QgObservation.h"

namespace qg {

void instantiateQgObsFactory() {
  static ObsMaker<ObsStreamQG> makerStream_("Stream");
  static ObsMaker<ObsWindQG>   makerWind_("Wind");
  static ObsMaker<ObsWSpeedQG> makerWSpeed_("WSpeed");
}

}  // namespace qg

#endif  // QG_MODEL_INSTANTIATEQGOBSFACTORY_H_
