!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Invert potential vorticity - Tangent Linear

subroutine invert_pv_tl (x,pv,nx,ny,deltax,deltay,F1,F2)

!--- invert potential vorticity to get streamfunction

use kinds

implicit none
integer, intent(in) :: nx         !< Zonal grid dimension
integer, intent(in) :: ny         !< Meridional grid dimension
real(kind=kind_real), intent(out) :: x(nx,ny,2)   !< Streamfunction increment
real(kind=kind_real), intent(in)  :: pv(nx,ny,2)  !< Potential vorticity increment
real(kind=kind_real), intent(in) :: deltax        !< Zonal grid spacing (non-dimensional)
real(kind=kind_real), intent(in) :: deltay        !< Meridional grid spacing (non-dimensional)
real(kind=kind_real), intent(in) :: F1            !< Coefficient in PV operator
real(kind=kind_real), intent(in) :: F2            !< Coefficient in PV operator

!--- Solve the elliptic system

call solve_elliptic_system (x,pv,nx,ny,deltax,deltay,F1,F2)

end subroutine invert_pv_tl
