!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Calculate meridional wind component - Adjoint

subroutine meridional_wind_ad (v,x,nx,ny,deltax)

use kinds

implicit none
integer, intent(in) :: nx         !< Zonal grid dimension
integer, intent(in) :: ny         !< Meridional grid dimension
real(kind=kind_real), intent(inout) :: v(nx,ny,2) !< Meridional wind adjoint variable
real(kind=kind_real), intent(inout) :: x(nx,ny,2) !< Streamfunction adjoint variable
real(kind=kind_real), intent(in) :: deltax        !< Zonal grid spacing (non-dimensional)

x(nx    ,:,:) = x(nx    ,:,:) - (0.5_kind_real/deltax)*v(1   ,:,:)
x(1:nx-1,:,:) = x(1:nx-1,:,:) - (0.5_kind_real/deltax)*v(2:nx,:,:)
x(1     ,:,:) = x(1   ,:,:) + (0.5_kind_real/deltax)*v(nx    ,:,:) 
x(2:nx  ,:,:) = x(2:nx,:,:) + (0.5_kind_real/deltax)*v(1:nx-1,:,:)
v(:,:,:) = 0.0_kind_real

end subroutine meridional_wind_ad
