!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Calculate meridional wind component - Tangent Linear

!> Since the operator is linear, we just call meridional_wind.

subroutine meridional_wind_tl (v,x,nx,ny,deltax)

!--- calculate meridional wind component

use kinds

implicit none
integer, intent(in) :: nx       !< Zonal grid dimension
integer, intent(in) :: ny       !< Meridional grid dimension
real(kind=kind_real), intent(out) :: v(nx,ny,2) !< Meridional wind increment
real(kind=kind_real), intent(in)  :: x(nx,ny,2) !< Streamfunction increment
real(kind=kind_real), intent(in) :: deltax      !< Zonal grid spacing (non-dimensional)

!--- meridional_wind is a linear operator

call meridional_wind (v,x,nx,ny,deltax)

end subroutine meridional_wind_tl
