!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Structure holding configuration variables for the QG model

module qg_configs

use kinds
implicit none

!> Fortran derived type to hold configuration data for the QG model
type :: qg_config
  integer :: nx     !< Zonal grid dimension
  integer :: ny     !< Meridional grid dimension
  ! dimensional parameters
  real(kind=kind_real) :: dt0       !< dimensional time (seconds)
  real(kind=kind_real) :: d1        !< depth of top layer (m)
  real(kind=kind_real) :: d2        !< depth of bottom layer (m)
  real(kind=kind_real) :: deltax0   !< zonal grid spacing (m)
  real(kind=kind_real) :: deltay0   !< meridional grid spacing (m)
  ! non-dimensional parameters
  real(kind=kind_real) :: dt        !< non-dimensional time
  real(kind=kind_real) :: f1        !< Coefficient of PV operator
  real(kind=kind_real) :: f2        !< Coefficient of PV operator
  real(kind=kind_real) :: deltax    !< non-dimensional zonal grid spacing
  real(kind=kind_real) :: deltay    !< non-dimensional meridional grid spacing
  real(kind=kind_real) :: rsmax     !< max non-dimensional height of orography
  real(kind=kind_real), allocatable :: rs(:,:) !< non-dimensional orography
end type qg_config

end module qg_configs
