!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Calculate zonal wind - Adjoint

subroutine zonal_wind_ad (u,x,nx,ny,deltay)

use kinds
implicit none

integer, intent(in) :: nx         !< Zonal grid dimension
integer, intent(in) :: ny         !< Meridional grid dimension
real(kind=kind_real), intent(inout) :: u(nx,ny,2) !< Zonal wind adjoint variable
real(kind=kind_real), intent(inout) :: x(nx,ny,2) !< Streamfunction adjoint variable
real(kind=kind_real), intent(in) :: deltay        !< Meridional grid spacing (non-dimensional)

x(:,2:ny  ,:) = x(:,2:ny  ,:) - (0.5_kind_real/deltay)*u(:,1:ny-1,:)
x(:,1:ny-1,:) = x(:,1:ny-1,:) + (0.5_kind_real/deltay)*u(:,2:ny  ,:)
u(:,:,:) = 0.0_kind_real

end subroutine zonal_wind_ad
