/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "logger/ftn_logger.h"

#include <string>

#include "logger/Logger.h"

namespace logger {

// -----------------------------------------------------------------------------

void ftn_logger(const char str[], const int & cat) {
  logger::Category lcat = static_cast<Category>(cat);  // dodgy cast int->enum!

  if (logger::Logger::selected(lcat)) {
    logger::Logger().get(lcat) << str;
  }
}

// -----------------------------------------------------------------------------

bool ftn_logger_lookup(const char str[], int & icat) {
  std::string s(str);
  logger::Category cat;
  bool lfound = Logger::lookup(s, cat);
  icat = cat;  // dodgy conversion: enum to int!
  return lfound;
}

}  // namespace logger
