/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_ASSIMILATION_INSTANTIATECOSTFACTORY_H_
#define OOPS_ASSIMILATION_INSTANTIATECOSTFACTORY_H_

#include "oops/assimilation/CostFct3DVar.h"
#include "oops/assimilation/CostFct4DVar.h"
#include "oops/assimilation/CostFctWeak.h"
#include "oops/assimilation/CostFct4DEnsVar.h"
#include "oops/assimilation/CostFunction.h"

namespace oops {

template <typename TRAIT> void instantiateCostFactory() {
  static CostMaker<TRAIT, CostFct3DVar<TRAIT> >    maker3DVar_("3D-Var");
  static CostMaker<TRAIT, CostFct4DVar<TRAIT> >    maker4DVar_("4D-Var");
  static CostMaker<TRAIT, CostFctWeak<TRAIT> >     maker4Weak_("4D-Weak");
  static CostMaker<TRAIT, CostFct4DEnsVar<TRAIT> > maker4DEns_("4D-Ens-Var");
}

}  // namespace oops

#endif  // OOPS_ASSIMILATION_INSTANTIATECOSTFACTORY_H_
