/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_GEOMETRY_H_
#define OOPS_BASE_GEOMETRY_H_

#include "util/Config.h"

namespace oops {

/// Handles Geometry configuration.
/*!
 *  The purpose of this class is to give a specific type to Config
 *  objects that represent resolution. This is to avoid passing several
 *  Config objects without distinction to constructors or methods.
 */

class Geometry {
 public:
  explicit Geometry(const util::Config & conf): config_(conf) {}
  virtual ~Geometry() {}

  const util::Config & config() const {return config_;}

 private:
  const util::Config config_;
};

}  // namespace oops

#endif  // OOPS_BASE_GEOMETRY_H_
