/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_LOCALIZATIONMATRIX_H_
#define OOPS_BASE_LOCALIZATIONMATRIX_H_

#include <boost/noncopyable.hpp>

namespace oops {

/// The \f$ Localization \f$ matrix.

template<typename TRAIT> class LocalizationMatrix : public TRAIT::LocalizationMatrix {
  typedef typename TRAIT::IncrementBase Increment;

 public:
  explicit LocalizationMatrix(const Geometry & resol, const util::Config &config): TRAIT::LocalizationMatrix(resol, config) {}
};

}  // namespace oops

#endif  // OOPS_BASE_LOCALIZATIONMATRIX_H_
