/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_NULLMODELAUX_H_
#define OOPS_BASE_NULLMODELAUX_H_

#include "util/Config.h"

namespace oops {

/// Class to use for models that do not have their own model error class.
/*!
 * This class is used to manipulate parameters of the model that
 * can be estimated in the assimilation. This includes model bias for
 * example but could be used for other parameters to be estimated.
 * This is sometimes referred to as augmented state or augmented
 * control variable in the litterature.
 * The augmented state is understood here as an augmented 4D state.
 */

// -----------------------------------------------------------------------------

class NullModelAux {
 public:
  NullModelAux() {}
  explicit NullModelAux(const util::Config &) {}
  NullModelAux(const NullModelAux &, const NullModelAux &, const util::Config &) {}
  ~NullModelAux() {}
};

// -----------------------------------------------------------------------------

}  // namespace oops

#endif  // OOPS_BASE_NULLMODELAUX_H_
