/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_STATEINFO_H_
#define OOPS_BASE_STATEINFO_H_

#include <string>

#include "oops/base/ProcessorBase.h"

#include "util/Config.h"
#include "util/DateTime.h"

namespace oops {

/// Handles writing-out of forecast fields.
/*!
 *  Write out forecast fields.
 */

template <typename FLDS> class StateInfo : public ProcessorBase<FLDS> {
 public:
  StateInfo(const std::string sgrep, const util::Config & conf):
    ProcessorBase<FLDS>(conf), sgrep_(sgrep) {}
  StateInfo(const std::string sgrep, const util::Duration & freq):
    ProcessorBase<FLDS>(freq), sgrep_(sgrep) {}
  ~StateInfo() {}

 private:
  const std::string sgrep_;
  void doProcessing(const FLDS & xx) {xx.prtNorms(sgrep_);}
};

}  // namespace oops

#endif  // OOPS_BASE_STATEINFO_H_
