/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_STATEWRITER_H_
#define OOPS_BASE_STATEWRITER_H_

#include "oops/base/ProcessorBase.h"

#include "util/Config.h"
#include "util/DateTime.h"

namespace oops {

/// Handles writing-out of forecast fields.
/*!
 *  Write out forecast fields.
 */

template <typename FLDS> class StateWriter : public ProcessorBase<FLDS> {
 public:
  StateWriter(const util::DateTime & start, const util::Config & conf):
    ProcessorBase<FLDS>(start, conf), ppConfig_(conf) {}
  ~StateWriter() {}

 private:
  const util::Config ppConfig_;
  void doProcessing(const FLDS & xx) {xx.write(ppConfig_);}
};

}  // namespace oops

#endif  // OOPS_BASE_STATEWRITER_H_
