/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_VARIABLES_H_
#define OOPS_BASE_VARIABLES_H_

#include "util/Config.h"

namespace oops {

/// Handles variables definitions.
/*!
 *  The purpose of this class is to give a specific type to Config
 *  objects that determine the variables being used in a model, covariance
 *  matrix or other parts of the code. This is to avoid passing several
 *  Config objects without distinction to constructors or methods.
 */

class Variables {
 public:
  explicit Variables(const util::Config & conf): config_(conf) {}
  virtual ~Variables() {}

  const util::Config & config() const {return config_;}

 private:
  const util::Config config_;
};

}  // namespace oops

#endif  // OOPS_BASE_VARIABLES_H_
