/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_INSTANTIATECOVARFACTORY_H_
#define OOPS_BASE_INSTANTIATECOVARFACTORY_H_

#include "oops/base/HybridCovariance.h"
#include "oops/base/ModelSpaceCovariance.h"
#include "oops/base/StaticCovariance.h"
#include "oops/base/EnsembleCovariance.h"

namespace oops {

template <typename TRAIT> void instantiateCovarFactory() {
  static CovarMaker<TRAIT, StaticCovariance<TRAIT> >   makerStatic_("static");
  static CovarMaker<TRAIT, HybridCovariance<TRAIT> >   makerHybrid_("hybrid");
  static CovarMaker<TRAIT, EnsembleCovariance<TRAIT> > makerEnsemble_("ensemble");
}

}  // namespace oops

#endif  // OOPS_BASE_INSTANTIATECOVARFACTORY_H_
