/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_OBSERVATIONS_INSTANTIATEOBSERRORFACTORY_H_
#define OOPS_OBSERVATIONS_INSTANTIATEOBSERRORFACTORY_H_

#include "oops/observations/ObsErrorBase.h"
#include "oops/observations/ObsErrorDiag.h"

namespace oops {

template <typename TRAIT> void instantiateObsErrorFactory() {
  static ObsErrorMaker<TRAIT, ObsErrorDiag<TRAIT> > makerDiag_("diagonal");
}

}  // namespace oops

#endif  // OOPS_OBSERVATIONS_INSTANTIATEOBSERRORFACTORY_H_
