/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_OBSERVATIONS_INSTANTIATEOBSOPFACTORY_H_
#define OOPS_OBSERVATIONS_INSTANTIATEOBSOPFACTORY_H_

#include "oops/observations/ObsCumulated.h"
#include "oops/observations/ObsOnTheFly.h"
#include "oops/observations/ObsOperStrategy.h"

namespace oops {

template <typename TRAIT> void instantiateObsOpFactory() {
  static ObsOpMaker<TRAIT, ObsCumulated<TRAIT> > makerCumul_("Cumulated");
  static ObsOpMaker<TRAIT, ObsOnTheFly<TRAIT> >  makerFly_("OnTheFly");
}

}  // namespace oops

#endif  // OOPS_OBSERVATIONS_INSTANTIATEOBSOPFACTORY_H_
