/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_RUNS_RUN_H_
#define OOPS_RUNS_RUN_H_

#include <boost/noncopyable.hpp>

#include <logger/Logger.h>

namespace oops {

/*!
 *  Run encapsulates one OOPS run.
 */

template <typename TASK> class Run : private boost::noncopyable {
 public:
  Run() { LOG(Trace) << "Run Constructor"; }
  virtual ~Run() { LOG(Trace) << "Run Destructor"; }
  void execute(int argc, char ** argv) {
    TASK app(argc, argv);
    app.execute();
  };
};

}  // namespace oops
#endif  // OOPS_RUNS_RUN_H_
