/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_RUNS_TASK_H_
#define OOPS_RUNS_TASK_H_

#include <boost/noncopyable.hpp>
#include <boost/scoped_ptr.hpp>

#include "util/Config.h"

namespace oops {

/*!
 *  Task encapsulates the high level tasks OOPS can perform
 *  such as running a forecast, a 4D-Var, etc...
 */

class Task : private boost::noncopyable {
 public:
  Task(int, char **);
  virtual ~Task();
  virtual void run(const util::Config &) =0;
  void execute();
 private:
  boost::scoped_ptr<util::Config> config_;
};

}  // namespace oops
#endif  // OOPS_RUNS_TASK_H_
