/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef TEST_GLOBALTESTFIXTURE_H_
#define TEST_GLOBALTESTFIXTURE_H_

#include "test/test_main.h"
#include "test/TestEnvironment.h"

namespace test {

template <typename TRAIT, typename RUNNER> class GlobalTestFixture {
    public:
      GlobalTestFixture(): testenv_(TestEnvironment<TRAIT>::getInstance()) {
        RUNNER run;

        // This is executed before all tests.
        run.execute(boost::unit_test::framework::master_test_suite().argc,
                    boost::unit_test::framework::master_test_suite().argv);
      }
      ~GlobalTestFixture() {}
    private:
      test::TestEnvironment<TRAIT> & testenv_;
  };

}  // namespace test

#endif  // TEST_GLOBALTESTFIXTURE_H_
