/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_ACCUMULATOR_H_
#define UTIL_ACCUMULATOR_H_

#include "oops/base/Geometry.h"
#include "oops/base/Variables.h"
#include "util/DateTime.h"

namespace oops {

// -----------------------------------------------------------------------------

template <typename ACC, typename FLDS> class Accumulator : public ACC {
 public:
  explicit Accumulator(const Geometry & resol, const Variables & vars,
                       const util::DateTime & vt)
    : ACC(resol, vars, vt) {ACC::zero();}
  ~Accumulator() {}

  void accumul(const double & zz, const FLDS & xx) {ACC::accumul(zz, xx);}
};

// -----------------------------------------------------------------------------

}  // namespace oops

#endif  // UTIL_ACCUMULATOR_H_
