/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_DOLPHCHEBYSHEV_H_
#define UTIL_DOLPHCHEBYSHEV_H_

#include <map>

#include "util/DateTime.h"
#include "util/Duration.h"
#include "util/WeightingFct.h"

namespace util {
  class Config;
}

namespace oops {

// -----------------------------------------------------------------------------

class DolphChebyshev : public WeightingFct {
 public:
  explicit DolphChebyshev(const util::Config &);
  ~DolphChebyshev() {}

  std::map< util::DateTime, double > setWeights(const util::DateTime &,
                                                const util::DateTime &,
                                                const util::Duration &);

 private:
  util::Duration tau_;
};

// -----------------------------------------------------------------------------

}  // namespace oops

#endif  // UTIL_DOLPHCHEBYSHEV_H_
