/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "util/abor1_cpp.h"

#include <cstdlib>
#include <string>

#include "logger/Logger.h"

namespace util {
void abor1_cpp(const std::string & cderror) {
  LOG(Fatal) << cderror;
  exit(EXIT_FAILURE);
}

void abor1_cpp(const std::string & cderror, const std::string & file,
               int line) {
  LOG(Fatal) << "ABORT: " << cderror;
  LOG(Fatal) << "       in file '" << file << "', line " << line;
  exit(EXIT_FAILURE);
}

void abor1_cpp_(const char cderror[]) {
  std::string s(cderror);
  util::abor1_cpp(s);
}


}  // namespace util
