/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_ABOR1_CPP_H_
#define UTIL_ABOR1_CPP_H_

#include <string>

#define ABORT(s) \
  util::abor1_cpp(s, __FILE__, __LINE__)

namespace util {

/// Print an error message and abort execution
/*!
 * If called with a single string argument, the string is printed and
 * execution aborts.
 *
 * If called with 3 arguments, the first is the error message, the
 * second should be __FILE__ and the third should be __LINE__.
 * You should not call abor1_cpp directly. Use the ASSERT or ABORT macro.
 */

void abor1_cpp(const std::string & cderror);
void abor1_cpp(const std::string & cderror, const std::string & file, int line);

extern "C" {
  void abor1_cpp_(const char[]);
}

}  // namespace oops

#endif  // UTIL_ABOR1_CPP_H_
