/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_DATEFUNCTIONS_H_
#define UTIL_DATEFUNCTIONS_H_

#include <stdint.h>

namespace util {
  /// Namespace for non-member date-handling functions
  namespace datefunctions {

    uint64_t dateToJulian(const int year, const int month, const int day);

    void julianToDate(uint64_t julian, int & yy, int & mm, int & dd);

    int hmsToSeconds(int hour, int minute, int second);

    void secondToHms(int seconds, int & hh, int & mm, int & ss);

    bool isLeapYear(int year);

    bool validHhmmss(int hour, int minute, int second);

    bool validYYYYMMDD(int year, int month, int day);

  }  // namespace datefunctions
}  // namespace util

#endif  // UTIL_DATEFUNCTIONS_H_
