!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!>  Define interface for C++ datetime code called from Fortran

!-------------------------------------------------------------------------------
interface
!-------------------------------------------------------------------------------
type(C_PTR) function datetime_construct_f(str) bind(C,name='datetime_construct_f')
  use iso_c_binding
  implicit none
  character(kind=C_CHAR, len=1), intent(in) :: str(*)
end function datetime_construct_f
!-------------------------------------------------------------------------------
type(C_PTR) function datetime_clone_f(ptr) bind(C,name='datetime_clone_f')
  use iso_c_binding
  implicit none
  type(C_PTR), value :: ptr
end function datetime_clone_f
!-------------------------------------------------------------------------------
subroutine datetime_destruct_f(ptr) bind(C,name='datetime_destruct_f')
  use iso_c_binding
  implicit none
  type(C_PTR), value :: ptr
end subroutine datetime_destruct_f
!-------------------------------------------------------------------------------
subroutine datetime_string_f(ptr,c_string) bind(C,name='datetime_string_f')
  use iso_c_binding
  implicit none
  type(C_PTR), value :: ptr
  character(kind=C_CHAR,len=1), intent(inout) :: c_string(21)
end subroutine datetime_string_f
!-------------------------------------------------------------------------------
subroutine datetime_diff_f(ptr1,ptr2,zz) bind(C,name='datetime_diff_f')
  use iso_c_binding
  implicit none
  type(c_ptr), value :: ptr1, ptr2
  real(c_double), intent(out) :: zz
end subroutine datetime_diff_f
!-------------------------------------------------------------------------------
subroutine datetime_diff_str_f(ptr1,ptr2,c_string) bind(C,name='datetime_diff_str_f')
  use iso_c_binding
  implicit none
  type(c_ptr), value :: ptr1, ptr2
  character(kind=C_CHAR,len=1), intent(inout) :: c_string(21)
end subroutine datetime_diff_str_f
!-------------------------------------------------------------------------------
subroutine datetime_update_f(ptt,pdt) bind(C,name='datetime_update_f')
  use iso_c_binding
  implicit none
  type(c_ptr), value :: ptt
  type(c_ptr), value :: pdt
end subroutine datetime_update_f
!-------------------------------------------------------------------------------
end interface
!-------------------------------------------------------------------------------
