/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_DATETIME_F_H_
#define UTIL_DATETIME_F_H_

#include "util/DateTime.h"
#include "util/Duration.h"

namespace oops {

// -----------------------------------------------------------------------------
// These functions provide a Fortran-callable interface to DateTime
// -----------------------------------------------------------------------------

extern "C" {
  util::DateTime * datetime_construct_f(const char str[]);
  util::DateTime * datetime_clone_f(const util::DateTime *);
  void datetime_destruct_f(const util::DateTime *);
  void datetime_string_f(const util::DateTime *, char str[]);
  void datetime_diff_f(const util::DateTime *, const util::DateTime *,
                       double &);
  void datetime_diff_str_f(const util::DateTime *, const util::DateTime *,
                           char str[]);
  void datetime_update_f(util::DateTime *, const util::Duration *);
}

}  // namespace oops
#endif  // UTIL_DATETIME_F_H_
