/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "util/duration_f.h"

#include <string.h>

#include <string>

#include "util/Duration.h"

namespace oops {

// -----------------------------------------------------------------------------

util::Duration * duration_construct_f(const char str[]) {
  std::string s(str);
  return new util::Duration(s);
}

// -----------------------------------------------------------------------------

void duration_destruct_f(util::Duration * dt) {
  delete dt;
}

// -----------------------------------------------------------------------------

void duration_string_f(const util::Duration * dt, char str[]) {
  const std::string ss(dt->toString());
  size_t lenss = ss.size();
  strncpy(str, ss.c_str(), lenss);
}

// -----------------------------------------------------------------------------

void duration_real_f(const util::Duration * dt, double & zd) {
  int64_t idt = dt->toSeconds();
  zd = idt;  // converts from int64_t to double
}

// -----------------------------------------------------------------------------

}  // namespace oops
