/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_DURATION_F_H_
#define UTIL_DURATION_F_H_

#include "util/Duration.h"

namespace oops {

// -----------------------------------------------------------------------------
// These functions provide a Fortran-callable interface to Duration
// -----------------------------------------------------------------------------

extern "C" {
  util::Duration * duration_construct_f(const char str[]);
  void duration_destruct_f(util::Duration *);
  void duration_string_f(const util::Duration *, char str[]);
  void duration_real_f(const util::Duration *, double &);
}

}  // namespace oops
#endif  // UTIL_DURATION_F_H_
