/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "util/ftn_config.h"

#include <cstring>
#include <iostream>
#include <sstream>
#include <string>

namespace util {

// -----------------------------------------------------------------------------

void ftn_config_set_current_node(Config & d, const char str[]) {
  const std::string xpath(str);
  d.setCurrentNode(xpath);
}

bool ftn_config_empty(const Config & d) {
  return d.empty();
}

bool ftn_config_element_exists(const Config & d, const char str[]) {
  const std::string s(str);
  return d.elementExists(s);
}

int ftn_config_get_data_as_int(const Config & d, const char str[]) {
  const std::string s(str);
  std::istringstream is;
  is.str(d.getData(s));
  int i;
  is >> i;
  return i;
}

double ftn_config_get_data_as_double(const Config & d, const char str[]) {
  const std::string s(str);
  std::istringstream is;
  is.str(d.getData(s));
  double dd;
  is >> dd;
  return dd;
}

int ftn_config_get_data_length(const Config & d, const char str[]) {
  const std::string s(str);
  const std::string data(d.getData(s));
  return data.length();
}

void ftn_config_get_data(const Config & d, const char str[], char output[]) {
  const std::string s(str);
  const std::string data(d.getData(s));
  size_t lendata = data.size();
  strncpy(output, data.c_str(), lendata);
}

}  // namespace util
