/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_FTN_CONFIG_H_
#define UTIL_FTN_CONFIG_H_

#include<istream>

#include "util/Config.h"

// -----------------------------------------------------------------------------
// These functions provide a Fortran-callable interface to Config.
// -----------------------------------------------------------------------------

namespace util {

extern "C" {
  void ftn_config_set_current_node(Config & d, const char str[]);

  bool ftn_config_empty(const Config & d);

  bool ftn_config_element_exists(const Config & d, const char str[]);

  int ftn_config_get_data_as_int(const Config & d, const char str[]);

  double ftn_config_get_data_as_double(const Config & d, const char str[]);

  int ftn_config_get_data_length(const Config & d, const char str[]);

  void ftn_config_get_data(const Config & d, const char str[], char output[]);
}

}  // namespace oops
#endif  // UTIL_FTN_CONFIG_H_
