/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include <iostream>
#include <string>

#include "test/TestEnvironment.h"
#include "util/Config.h"
#include "util/XmlDom.h"

#include <boost/test/unit_test.hpp>
#include <boost/scoped_ptr.hpp>

namespace {

BOOST_AUTO_TEST_SUITE(test_XmlDom)

// -----------------------------------------------------------------------------
  BOOST_AUTO_TEST_CASE(test_default_construct) {
    util::XmlDom x;
    BOOST_CHECK(x.empty());
  }
// -----------------------------------------------------------------------------
  BOOST_AUTO_TEST_CASE(test_makeEmpty) {
    util::XmlDom x;
    boost::scoped_ptr<util::XmlDom > y(x.makeEmpty());
    BOOST_CHECK(y->empty());
  }
// -----------------------------------------------------------------------------

BOOST_AUTO_TEST_SUITE_END()

}  // anonymous namespace
